### Method

# GUPnP ServiceInfo introspect_finish

since: 1.2.2

#### Declaration [src]

    GUPnPServiceIntrospection*
    gupnp_service_info_introspect_finish (
      GUPnPServiceInfo* info,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finish an asynchronous call initiated with gupnp_service_info_introspect_async().

Available since: 1.2.2

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUPnPServiceIntrospection`

`NULL`, if the call had an error, a `GUPnPServiceIntrospection` object otherwise.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.